################################################################################
#
# spark_davfs2
#
################################################################################

SPARK_DAVFS2_VERSION = 1.5.2
SPARK_DAVFS2_SOURCE = davfs2-$(SPARK_DAVFS2_VERSION).tar.gz
SPARK_DAVFS2_SITE = http://download.savannah.gnu.org/releases/davfs2
SPARK_DAVFS2_LICENSE = GPLv3+
SPARK_DAVFS2_LICENSE_FILES = COPYING
SPARK_DAVFS2_INSTALL_STAGING = YES
SPARK_DAVFS2_CONF_ENVS = \
	ac_cv_func_malloc_0_nonnull=yes
SPARK_DAVFS2_CONF_OPTS = \
	--with-neon=$(STAGING_DIR)/usr
SPARK_DAVFS2_DEPENDENCIES = neon

define SPARK_DAVFS2_REMOVE_DOCS
	$(RM) -rf $(TARGET_DIR)/usr/share/doc/davfs2
endef

define SPARK_DAVFS2_USERS
	davfs2 -1 davfs2 -1 * - - - davfs2
endef

SPARK_DAVFS2_POST_INSTALL_TARGET_HOOKS += SPARK_DAVFS2_REMOVE_DOCS

define SPARK_DAVFS2_INSTALL_INIT_SYSV
	$(INSTALL) -D -m 0755 package/spark/spark_davfs2/S05davfs2-setup \
		$(TARGET_DIR)/etc/init.d/S05davfs2-setup
endef

$(eval $(autotools-package))
